import { navLinks } from './Navbar';

interface MobileMenuProps {
  onNavigate: (id: string) => void;
}

const MobileMenu = ({ onNavigate }: MobileMenuProps) => {
  return (
    <div className="md:hidden">
      <div className="px-2 pt-2 pb-3 space-y-1">
        {navLinks.map(link => (
          <button
            key={link.id}
            onClick={() => onNavigate(link.id)}
            className="block w-full text-left px-3 py-2 hover:bg-gray-200 dark:hover:bg-gray-700"
          >
            {link.label}
          </button>
        ))}
      </div>
    </div>
  );
};

export default MobileMenu;